using System;
using System.Collections.ObjectModel;
using System.AddIn.Hosting;

using TestHostView;

namespace TestHost
{
    public class Test
    {
        public static void Main()
        {
            string addindir = Environment.CurrentDirectory + @"\Pipeline";
            AddInStore.Update(addindir);
            Collection<AddInToken> addins = AddInStore.FindAddIns(typeof(ITestHostView), addindir);
            foreach(AddInToken addin in addins)
            {
                Console.WriteLine("Name=" + addin.Name +
                                  "/FullName=" + addin.AddInFullName +
                                  "/AssemblyName=" + addin.AssemblyName +
                                  "/Description=" + addin.Description +
                                  "/Version=" + addin.Version);
                ITestHostView tst = addin.Activate<ITestHostView>(AddInSecurityLevel.Internet);
                Console.WriteLine(tst.Version);
                for(int i = 0; i < 6; i++)
                {
                    Console.Write(" " + tst.ThrowDice());
                }
                Console.WriteLine();
                ITestHostView tst2 = addin.Activate<ITestHostView>(AppDomain.CurrentDomain);
                Console.WriteLine(tst2.Version);
                for(int i = 0; i < 6; i++)
                {
                    Console.Write(" " + tst2.ThrowDice());
                }
                Console.WriteLine();
            }
        }
    }
}
